Subject: Re: [PATCH net-next RFC v2 0/3] light weight tunnel infrastructure and driver

From: roopa <[email-masked]>
Date: Fri, 19 Jun 2015 08:05:45 -0700

On 6/19/15, 7:38 AM, Robert Shearman wrote:
>> This series implements infrastructure for light weight tunnels to 
>> support
>> mpls label edge routers (ie mpls ip tunnels). As previously discussed
>> having netdevices will not scale. Hence this series introduces new 
>> RTA_ENCAP*
>> attributes to attach encap information with routes (following suggestion
>> from Eric Biederman).
>
> Looks promising, thanks for posting this series Roopa!
>
>>
>> The first patch introduces an infrastructure to support light weight 
>> tunnels
>> that dont have netdevices. The infrastructure allows tunnel drivers
>> to register handlers to parse and build tunnel encap data which can 
>> be attached
>> to each route nexthop.
>>
>> The second patch adds support in ipv4 fib to carry such light weight 
>> tunnel
>> encap data.
>
> I presume this isn't ready to be merged until IPv6 is done, right?
yes, I will be adding ipv6 support soon. I will post the next non-RFC 
series with the ipv6 changes

thanks,
Roopa